<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="mi-event-notify">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Eventos de Notificacion</h2>
    <fieldset>
      <form>
        <legend>Formulario</legend>
        <p>
          <label for="myinput"></label>

          <input type="text" name="myinput" id="myinput" value="{{valorEscrito::change}}"
          placeholder="[[placeHolder]]"
          required="[[required]]">
        </p>

        <button type="submit">Enviar Formulario</button>
      </form>
      <hr>
      <span>Valor ingresado: [[valorEscrito]]</span>
    </fieldset>
  </template>

  <script>
    /**
     * `mi-event-notify`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class MiEventNotify extends Polymer.Element {
      static get is() { return 'mi-event-notify'; }
      static get properties() {
        return {
          texto: {
            type: String,
          },
          valorEscrito: {
             type: String,
             notify: true
          },
          placeHolder: {
            type: String,
            value: "Valor aqui !!!"
          },
          required: Boolean
        };
      }
      ready(){
              super.ready();
              this.addEventListener('valor-escrito-changed', (e)=> {
                console.log('evento lanzado', e);
              });
            }

    }

    window.customElements.define(MiEventNotify.is, MiEventNotify);
  </script>
</dom-module>
